---
search:
  tags:
    - Buildings
    - POST
seo:
  description: >-
    Early access: request API access for your workspace at
    https://bauhow.com/support before… Reference for the POST /v1/buildings
    endpoint in the Bauhow API.
sidebar:
  label: Create a building for a contact
  badge: POST
title: Create a building for a contact
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`POST /v1/buildings`

**Request body** (`application/json`, required)

- `contactId` (string, required)
- `name` (string, required)
- `street` (string | null)
- `postalCode` (string | null)
- `city` (string | null)
- `countryCode` (string)
- `buildingType` (string | null)
- `buildingYear` (integer | null)
- `livingArea` (number | null)
- `unitCount` (integer | null)
- `notes` (string | null)

Request body example:

```json
{
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "st",
  "buildingType": "string",
  "buildingYear": -9007199254740991,
  "livingArea": 0,
  "unitCount": -9007199254740991,
  "notes": "string"
}
```

**Responses**

- `201` — OK

Response example, 201:

```json
{
  "id": "string",
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": -9007199254740991,
  "livingArea": 0,
  "unitCount": -9007199254740991,
  "notes": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
